Skip to main content
GET
/
v1
/
corporate-actions
/
tender-offers
Get Tender Offers
curl --request GET \
  --url https://api.aries.com/v1/corporate-actions/tender-offers \
  --header 'Authorization: Bearer <token>'
{
  "tenderOffers": [
    {}
  ]
}

Authorizations

Authorization
string
header
required

OAuth2 Bearer token: obtain an access token from the token endpoint and send it in the Authorization header.

Query Parameters

identifier
string
required

Company identifier (ticker, CUSIP, ISIN, etc.). Required.

Example:

"AAPL"

identifierType
enum<string>
required

Type of identifier. Required.

Available options:
Symbol,
CUSIP,
ISIN,
SEDOL,
Valoren,
FIGI,
CompositeFIGI
Example:

"Symbol"

startDate
string<date>
required

Start date (YYYY-MM-DD). Required.

Example:

"2024-01-01"

endDate
string<date>
required

End date (YYYY-MM-DD). Required.

Example:

"2024-12-31"

Response

Tender offers data.

tenderOffers
object[]